Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RSSClient Class Reference

List of all members.

## Public Member Functions
| RSSClient ($ServerUrl, $CacheDB=NULL, $RefreshTime=600, $Encoding="UTF-8", $DebugLevel=0)
| ServerUrl ($NewValue=NULL)
| Encoding ($NewValue=NULL)
| AutodetectEncoding ()
| Try to automatically detect and set the encoding of the RSS feed.
| GetItems ($NumberOfItems=NULL, $ChannelName=NULL)
| GetChannelTitle ()
| GetChannelLink ()
| GetChannelDescription ()
| UsedCachedData ()
| SetDebugLevel ($NewLevel)
| GetXmlInfo ($Url)
| Get the XML text at the given URL, along with the type and charset of the text.
| QueryServerWithCaching ($ServerUrl, $CacheDB, $RefreshTime)
| LoadChannelInfo ()
## Public Attributes
| $CacheDB
| $RefreshTime
| $ServerUrl
| $MetadataPrefix
| $SetSpec
| $DebugLevel
| $Encoding
| $XmlText
| $Parser
| $ChannelTitle
| $ChannelLink
| $ChannelDescription
| $CachedDataWasUsed

## Detailed Description

Definition at line 18 of file RSSClient.php.

## Member Function Documentation

RSSClient::AutodetectEncoding | ( |  | ) |

Try to automatically detect and set the encoding of the RSS feed.

The precedence is as follows: encoding declared in the XML file, charset parameter in the Content-Type HTTP response header, then ISO-8859-1.

Definition at line 102 of file RSSClient.php.

References $Encoding, $ServerUrl, Encoding(), and ServerUrl().

RSSClient::Encoding | ( | $ | NewValue = `NULL` | ) |

Definition at line 73 of file RSSClient.php.

References $Parser, QueryServerWithCaching(), and ServerUrl().

Referenced by AutodetectEncoding(), and RSSClient().

Here is the caller graph for this function:

RSSClient::GetChannelDescription | ( |  | ) |

Definition at line 213 of file RSSClient.php.

References LoadChannelInfo().

RSSClient::GetChannelLink | ( |  | ) |

Definition at line 206 of file RSSClient.php.

References LoadChannelInfo().

RSSClient::GetChannelTitle | ( |  | ) |

Definition at line 199 of file RSSClient.php.

References LoadChannelInfo().

RSSClient::GetItems | ( | $ | NumberOfItems = `NULL`,
|  | $ | ChannelName = `NULL` |
| ) |  |  |

Definition at line 157 of file RSSClient.php.

References $Items, and $Parser.

RSSClient::GetXmlInfo | ( | $ | Url | ) |

Get the XML text at the given URL, along with the type and charset of the text.

Parameters:

  | $Url | URL of XML text

Returns:
  array( XML text or FALSE on failure, Type or NULL on failure or if not set, Charset or NULL on failure or if not set)

Definition at line 257 of file RSSClient.php.

Referenced by QueryServerWithCaching().

Here is the caller graph for this function:

RSSClient::LoadChannelInfo | ( |  | ) |

Definition at line 374 of file RSSClient.php.

References $Parser.

Referenced by GetChannelDescription(), GetChannelLink(), and GetChannelTitle().

Here is the caller graph for this function:

RSSClient::QueryServerWithCaching | ( | $ | ServerUrl,
|  | $ | CacheDB,
|  | $ | RefreshTime |
| ) |  |  |

Definition at line 308 of file RSSClient.php.

References $CacheDB, $RefreshTime, $ServerUrl, GetXmlInfo(), and ServerUrl().

Referenced by Encoding(), RSSClient(), and ServerUrl().

Here is the caller graph for this function:

RSSClient::RSSClient | ( | $ | ServerUrl,
|  | $ | CacheDB = `NULL`,
|  | $ | RefreshTime = `600`,
|  | $ | Encoding = `"UTF-8"`,
|  | $ | DebugLevel = `0` |
| ) |  |  |

Definition at line 23 of file RSSClient.php.

References $CacheDB, $DebugLevel, $Encoding, $Parser, $RefreshTime, $ServerUrl, Encoding(), and QueryServerWithCaching().

RSSClient::ServerUrl | ( | $ | NewValue = `NULL` | ) |

Definition at line 48 of file RSSClient.php.

References $Parser, and QueryServerWithCaching().

Referenced by AutodetectEncoding(), Encoding(), and QueryServerWithCaching().

Here is the caller graph for this function:

RSSClient::SetDebugLevel | ( | $ | NewLevel | ) |

Definition at line 243 of file RSSClient.php.

RSSClient::UsedCachedData | ( |  | ) |

Definition at line 220 of file RSSClient.php.

## Member Data Documentation

RSSClient::$CacheDB

Definition at line 228 of file RSSClient.php.

Referenced by QueryServerWithCaching(), and RSSClient().

RSSClient::$CachedDataWasUsed

Definition at line 240 of file RSSClient.php.

RSSClient::$ChannelDescription

Definition at line 239 of file RSSClient.php.

RSSClient::$ChannelLink

Definition at line 238 of file RSSClient.php.

RSSClient::$ChannelTitle

Definition at line 237 of file RSSClient.php.

RSSClient::$DebugLevel

Definition at line 233 of file RSSClient.php.

Referenced by RSSClient().

RSSClient::$Encoding

Definition at line 234 of file RSSClient.php.

Referenced by AutodetectEncoding(), and RSSClient().

RSSClient::$MetadataPrefix

Definition at line 231 of file RSSClient.php.

RSSClient::$Parser

Definition at line 236 of file RSSClient.php.

Referenced by Encoding(), GetItems(), LoadChannelInfo(), RSSClient(), and ServerUrl().

RSSClient::$RefreshTime

Definition at line 229 of file RSSClient.php.

Referenced by QueryServerWithCaching(), and RSSClient().

RSSClient::$ServerUrl

Definition at line 230 of file RSSClient.php.

Referenced by AutodetectEncoding(), QueryServerWithCaching(), and RSSClient().

RSSClient::$SetSpec

Definition at line 232 of file RSSClient.php.

RSSClient::$XmlText

Definition at line 235 of file RSSClient.php.

The documentation for this class was generated from the following file:

- RSSClient.php